Bug 208026 - editors/openoffice-4: 4.1.2_4: In the menu xfce4 again doesn't show icons AOO
Summary: editors/openoffice-4: 4.1.2_4: In the menu xfce4 again doesn't show icons AOO
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: FreeBSD Office Team
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-15 14:20 UTC by Vladimir Omelchuk
Modified: 2016-03-21 05:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (office)


Attachments
Screenshot xfce menu (69.79 KB, image/jpeg)
2016-03-15 14:22 UTC, Vladimir Omelchuk
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Omelchuk 2016-03-15 14:20:54 UTC
In the menu xfce-4.12_1 doesn't show icons apache-openoffice-4.1.2_4 (see attachment).

root@vladiom:~ # pkg info | grep apache-openoffice
apache-openoffice-4.1.2_4      Integrated wordprocessor/dbase/spreadsheet/drawing/chart/browser

For example, in the desktop file "calc.desktop" and icon name in the "/usr/local/share/icons/" are the same:
root@vladiom:~ # grep Icon /usr/local/share/applications/openoffice-4.1.2/calc.desktop
Icon=openoffice4-calc
root@vladiom:~ # cd /usr/local/share/icons/hicolor/48x48/apps && ls | grep openoffice4-calc
openoffice4-calc.png


<uname>
FreeBSD 10.3-RC2 amd64

<make.conf>
CPUTYPE?=core2
OPTIONS_SET=CUPS
WITHOUT_LPR=YES
DEFAULT_VERSIONS=apache=2.4
QT4_OPTIONS=CUPS NAS QGTKSTYLE
LOCALIZED_LANG=ru
DEFAULT_VERSIONS=perl5=5.20
MAKE_JOBS_UNSAFE=yes
DEFAULT_VERSIONS=mysql=5.7
Comment 1 Vladimir Omelchuk 2016-03-15 14:22:33 UTC
Created attachment 168238 [details]
Screenshot xfce menu
Comment 2 Don Lewis freebsd_committer 2016-03-16 07:11:13 UTC
Are you sure that xfce is looking for the icons in hicolor/48x48/apps?  Libreoffice installs a lot more flavors of icons than OpenOffice does.

%find /usr/local/share/icons -name libreoffice-calc.png -print
/usr/local/share/icons/matefaenza/apps/48/libreoffice-calc.png
/usr/local/share/icons/matefaenza/apps/32/libreoffice-calc.png
/usr/local/share/icons/matefaenza/apps/64/libreoffice-calc.png
/usr/local/share/icons/matefaenza/apps/22/libreoffice-calc.png
/usr/local/share/icons/matefaenza/apps/96/libreoffice-calc.png
/usr/local/share/icons/matefaenza/apps/24/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/24x24/apps/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/48x48/apps/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/256x256/apps/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/32x32/apps/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/22x22/apps/libreoffice-calc.png
/usr/local/share/icons/ContrastHigh/16x16/apps/libreoffice-calc.png
/usr/local/share/icons/locolor/32x32/apps/libreoffice-calc.png
/usr/local/share/icons/locolor/16x16/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/16x16/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/32x32/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/22x22/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/256x256/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/48x48/apps/libreoffice-calc.png
/usr/local/share/icons/HighContrast/24x24/apps/libreoffice-calc.png
/usr/local/share/icons/hicolor/128x128/apps/libreoffice-calc.png
/usr/local/share/icons/hicolor/16x16/apps/libreoffice-calc.png
/usr/local/share/icons/hicolor/32x32/apps/libreoffice-calc.png
/usr/local/share/icons/hicolor/256x256/apps/libreoffice-calc.png
/usr/local/share/icons/hicolor/48x48/apps/libreoffice-calc.png
/usr/local/share/icons/gnome/48x48/apps/libreoffice-calc.png
/usr/local/share/icons/gnome/128x128/apps/libreoffice-calc.png
/usr/local/share/icons/gnome/32x32/apps/libreoffice-calc.png
/usr/local/share/icons/gnome/256x256/apps/libreoffice-calc.png
/usr/local/share/icons/gnome/16x16/apps/libreoffice-calc.png

vs

%find /usr/local/share/icons -name openoffice4-calc.png -print
/usr/local/share/icons/hicolor/16x16/apps/openoffice4-calc.png
/usr/local/share/icons/hicolor/32x32/apps/openoffice4-calc.png
/usr/local/share/icons/hicolor/48x48/apps/openoffice4-calc.png
/usr/local/share/icons/gnome/48x48/apps/openoffice4-calc.png
/usr/local/share/icons/gnome/32x32/apps/openoffice4-calc.png
/usr/local/share/icons/gnome/16x16/apps/openoffice4-calc.png
Comment 3 Vladimir Omelchuk 2016-03-16 08:03:58 UTC
Of course I know :)
hicolor/48x48/apps - this is just only example!

P.S.
This is not problem xfce, because for all other programs, xfce correct show icons in the menu!
Comment 4 Vladimir Omelchuk 2016-03-16 08:33:30 UTC
After running gtk-update-icon-cache icons show!
Thunks!
Comment 5 Don Lewis freebsd_committer 2016-03-16 16:37:01 UTC
(In reply to Vladimir Omelchuk from comment #4)
> After running gtk-update-icon-cache icons show!

Hmn, I think that should be happening automatically when the pkg is installed.
The Makefile for the port contains:
  INSTALLS_ICONS= yes

I don't see gtk-update-icon-cache getting invoked in the package +MANIFEST file, whereas I do see that in the libreoffice +MANIFEST.  I don't see any obvious reason for it to be missing.
Comment 6 Vladimir Omelchuk 2016-03-16 20:47:33 UTC
Ok, I tested again ...

1. Deinstall AOO
2. Removed all files icon-theme.cache from /usr/local/share/icons
3. Run "gtk-update-icon-cache for /usr/local/share/icons":
3.1. # cd /usr/local/share/icons
3.2. # ll
total 43
drwxr-xr-x  12 root  wheel  14 16 мар 22:13 Adwaita/
drwxr-xr-x   7 root  wheel   9 16 мар 22:13 Tango/
drwxr-xr-x  12 root  wheel  14 16 мар 22:17 gnome/
drwxr-xr-x  22 root  wheel  24 16 мар 22:17 hicolor/
drwxr-xr-x   4 root  wheel   4 12 мар 05:51 locolor/
drwxr-xr-x  10 root  wheel  12 16 мар 22:13 oxygen/

3.3. Result:
Adwaita:
gtk-update-icon-cache: Cache file created successfully.
Tango:
gtk-update-icon-cache: Cache file created successfully.
gnome:
gtk-update-icon-cache: Cache file created successfully.
hicolor:
gtk-update-icon-cache: Cache file created successfully.
locolor:
gtk-update-icon-cache: No theme index file.
oxygen:
gtk-update-icon-cache: Cache file created successfully.

4. Install again AOO + reload desktop xfce. Result - NO icons in the menu xfce

5. Run "gtk-update-icon-cache for /usr/local/share/icons":
5.1. Result:
Adwaita:
Tango:
gnome:
gtk-update-icon-cache: Cache file created successfully.
hicolor:
gtk-update-icon-cache: Cache file created successfully.
locolor:
gtk-update-icon-cache: No theme index file.
oxygen:

5.2. Reload desktop xfce. Result - All icons AOO in the menu xfce.
Comment 7 Don Lewis freebsd_committer 2016-03-16 20:51:00 UTC
I figured out why this is broken and I've identified a workaround that I can use in the Makefile, but I think the best fix would be a modification the the ports framework.
Comment 8 Vladimir Omelchuk 2016-03-16 20:57:44 UTC
OK
Thanks!
Comment 9 commit-hook freebsd_committer 2016-03-20 21:43:05 UTC
A commit references this bug:

Author: truckman
Date: Sun Mar 20 21:42:08 UTC 2016
New revision: 411522
URL: https://svnweb.freebsd.org/changeset/ports/411522

Log:
  Delay running gnome-post-install until the plist has been generated by
  post-install so that the icons are detected and gtk-update-icon-cache
  gets run when the package is installed. [1]

  Import upstream trunk commit r1728872 to add the
  CLOSESOCKET_DOESNT_WAKE_UP_ACCEPT up accept fix to the pipe code. [2]

  PR:		208026 [1]
  PR:		207301 [2]

Changes:
  head/editors/openoffice-4/Makefile
  head/editors/openoffice-4/files/patch-r1728872
Comment 10 commit-hook freebsd_committer 2016-03-21 05:53:55 UTC
A commit references this bug:

Author: truckman
Date: Mon Mar 21 05:53:01 UTC 2016
New revision: 411540
URL: https://svnweb.freebsd.org/changeset/ports/411540

Log:
  Upgrade to upstream svn revision r1735889.  This contains the
  CLOSESOCKET_DOESNT_WAKE_UP_ACCEPT pipe fix [1].  It also contains
  a slightly different fix for building with boost 1.60, so delete
  patch-sdext_source_pdfimport_makefile.mk, which is no longer needed.

  Delay running gnome-post-install until the plist has been generated by
  post-install so that the icons are detected and gtk-update-icon-cache
  gets run when the package is installed. [2]

  Add missing USES=shared-mime-info.

  PR:		207301 [1]
  PR:		208026 [2]

Changes:
  head/editors/openoffice-devel/Makefile
  head/editors/openoffice-devel/distinfo
  head/editors/openoffice-devel/files/patch-sdext_source_pdfimport_makefile.mk